Package com.sap.ai.sdk.orchestration

# Record Class FileItem

java.lang.Object
java.lang.Record
com.sap.ai.sdk.orchestration.FileItem

Record Components:
  `fileData` - base64 encoded file content
  `filename` - optional name of the file

All Implemented Interfaces:
  `ContentItem`

public record FileItem(@Nonnull String fileData, @Nullable String filename) extends Record implements ContentItem
Represents a file item in a `MessageContent` object.

Since:
  1.18.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileItem(String fileData, String filename)`
  Creates an instance of a `FileItem` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `fileData()`
  Returns the value of the `fileData` record component.
  `String`
  `filename()`
  Returns the value of the `filename` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FileItem

    public FileItem(@Nonnull String fileData, @Nullable String filename)
    Creates an instance of a `FileItem` record class.
    Parameters:
      `fileData` - the value for the `fileData` record component
      `filename` - the value for the `filename` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fileData

    @Nonnull public String fileData()
    Returns the value of the `fileData` record component.
    Returns:
      the value of the `fileData` record component

  - ### filename

    @Nullable public String filename()
    Returns the value of the `filename` record component.
    Returns:
      the value of the `filename` record component